Background Replacement
Background Replacement is a powerful tool that enables users to easily change the background of their images, opening up endless possibilities for creative transformations, and visual enhancements.
Apache-2.0
Image-to-Image
PyTorch
English
Endpoint
POSThttps://api.aiozai.network/api/v1/model/9df731e6-3156-4456-ae2e-8dff82411f5e/task
X-API-KeyAIOZ_AI_API_KEY
Input Schema
| Field | Type | Description |
|---|---|---|
| input | URLrequired | This is the image that you want to use as the replacement background. |
| background_path | URLrequired | This is the original image in which you want to replace the background. |
Output Schema
| Field | Type | Description |
|---|---|---|
| output | URL | URL to a generated output artifact. |
curl -X POST \ "https://api.aiozai.network/api/v1/model/9df731e6-3156-4456-ae2e-8dff82411f5e/task" \ -H "x-api-key: $AIOZ_AI_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "input": "https://s3.w3s.aioz.network/w3ai-platform-v2/uploads/samples/54deb202-59ab-491b-b167-e0d95f9c4eb7/2025/07/07/1751874877-AdwkW7kj9txwMjkxntcRbx.jpeg?AWSAccessKeyId=FT7EO3IGQNMIILHXIDZRVTJHWE&Signature=nt31bjgT2UHtTlCPyPBU0ykIKAs%3D&Expires=2382594877", "background_path": "https://s3.w3s.aioz.network/w3ai-platform-v2/uploads/samples/54deb202-59ab-491b-b167-e0d95f9c4eb7/2025/07/08/1751945322-8e3JeKSjvn2zSXJ3itCUTV.jpeg?AWSAccessKeyId=FT7EO3IGQNMIILHXIDZRVTJHWE&Signature=XoYbuu6J1Nr5e0iNJj5g1CcMgtc%3D&Expires=2382665322" }'Response
{ "output": "https://s3.w3s.aioz.network/w3ai-platform/data/7f161fe7423e403b9c68dcf6c1e802e7.png?AWSAccessKeyId=FR46RKQH5H6OUSSRC4TYELDGNM&Signature=BlGdaw571pttiJ7CNOBMIJe9LUU%3D&Expires=2765879253"}